import java.util.Scanner;
public class Nadovezivanje {

    public static void main(String[] args) {
       
        Scanner input = new Scanner(System.in);
        int a, b, c;
        int max;
        a = input.nextInt();
        b = input.nextInt();
        c = input.nextInt();
        int konacan[] = new int[6];
       
            String broj1= Integer.toString(a) + Integer.toString(b) + Integer.toString(c);
             konacan[0] =  Integer.parseInt(broj1);
         
            String broj2 = Integer.toString(a) + Integer.toString(c) + Integer.toString(b);
             konacan[1] =  Integer.parseInt(broj2);
            
            String broj3 = Integer.toString(b) + Integer.toString(a) + Integer.toString(c);
             konacan[2] =  Integer.parseInt(broj3);
            
            String broj4 = Integer.toString(b) + Integer.toString(c) + Integer.toString(a);
             konacan[3] =  Integer.parseInt(broj4);
            
            String broj5 = Integer.toString(c) + Integer.toString(b) + Integer.toString(a);
            konacan[4] =  Integer.parseInt(broj5);
            
            String broj6 = Integer.toString(c) + Integer.toString(a) + Integer.toString(b);
            konacan[5] =  Integer.parseInt(broj6);
            
            max=konacan[0];
            for(int i=1; i<5; i++){
                if(max<konacan[i])
                    max=konacan[i];
                
            }
            
        
        
        System.out.println(max);
    }
    
}